Bug 71347 - tar will not extract files where attributes are only owned read write as root
Summary: tar will not extract files where attributes are only owned read write as root
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: tar   
(Show other bugs)
Version: limbo
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-12 15:46 UTC by Need Real Name
Modified: 2007-04-18 16:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-26 01:52:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-08-12 15:46:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
When I tried to extract files from a tar archive 'tar -xvf file.tar' any files
with the attributes 0500 or as shown in a tar -tvf, -rw------ will  
return with the error :-
tar: .<filename>: Cannot open: Permission denied


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create a directory and put some files in it
2.chmod -R 0600 ./testdir
3.tar -cvf ../test.tar ./testdir
	

Actual Results:  I get the reported error that I don't have permission to
extract the files

Expected Results:  I should have been able to extract the files

Additional info:

Comment 1 Nathan G. Grennan 2002-08-13 03:53:18 UTC
This isn't a bug. You set the directory to 600 before you archived it. Once you
unarchving it is has 600 and it requires 700 to enter. You need the execute bit
on the directory. Follow your steps and after unarchiving the tar use chmod 700
./testdir ; cd testdir.

Comment 2 Jeff Johnson 2002-09-26 15:56:27 UTC
Yup, NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.